xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) David Roundy <droundy@darcs.net>
License | BSD3-style (see LICENSE)
Maintainer | none
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Util.NamedWindows

Contents

- Usage

Description

This module allows you to associate the X titles of windows with them.

Synopsis

- data NamedWindow
- getName :: Window -> X NamedWindow
- getNameWMClass :: Window -> X NamedWindow
- withNamedWindow :: (NamedWindow -> X ()) -> X ()
- unName :: NamedWindow -> Window

# Usage

See XMonad.Layout.Tabbed for an example of its use.

data NamedWindow #

#### Instances

Instances details

Show NamedWindow # |
Instance details Defined in XMonad.Util.NamedWindows Methods showsPrec :: Int -> NamedWindow -> ShowS # show :: NamedWindow -> String # showList :: [NamedWindow] -> ShowS #
Eq NamedWindow # |
Instance details Defined in XMonad.Util.NamedWindows Methods (==) :: NamedWindow -> NamedWindow -> Bool # (/=) :: NamedWindow -> NamedWindow -> Bool #
Ord NamedWindow # |
Instance details Defined in XMonad.Util.NamedWindows Methods compare :: NamedWindow -> NamedWindow -> Ordering # (<) :: NamedWindow -> NamedWindow -> Bool # (<=) :: NamedWindow -> NamedWindow -> Bool # (>) :: NamedWindow -> NamedWindow -> Bool # (>=) :: NamedWindow -> NamedWindow -> Bool # max :: NamedWindow -> NamedWindow -> NamedWindow # min :: NamedWindow -> NamedWindow -> NamedWindow #

getName :: Window -> X NamedWindow #

getNameWMClass :: Window -> X NamedWindow #

Get `NamedWindow` using `wM_CLASS`

withNamedWindow :: (NamedWindow -> X ()) -> X () #

unName :: NamedWindow -> Window #